Subject: Re: gnu-win32: bad path from make
From: [email-masked]

22 Feb 1998 23:01:23 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   Eyal Lebedinsky ([email-masked])
>   Sun, 22 Feb 1998 23:45:01 +1100
>I use this to set my mingw32 env:
>        set PATH=d:\mingw32\bin;%SVPATH%
>
>If I then inspect the path that make passes to commands (say, have 'set'
>added to my rule to display the env) I find something like:
>        PATH=ath=d;\mingw32\bin;d:\bat;d:\bin;...
>
>As you see, the leading part is destroyed.
>
>Any idea what is going on? So far I simply added a dummy as bait:
>        set PATH=d:\bat;d:\mingw32\bin;%SVPATH%
>
>but it is an ugly solution...
>
I don't know why you do this.  At any rate, the recent egcs version of 
MINGW32 doesn't include a make program.  If you use cygwin as your main
system, then cygwin make will indeed work with the mingw32 includes and
library.  Just realise that the cygwin egcs/gcc compiler is being driven
by the cygwin make program, and is looking at the mingw32 specs, includes,
and lib files.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".